---
title: NDEFReadingEvent
slug: Web/API/NDEFReadingEvent
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p><span class="seoSummary">The <code><strong>NDEFReadingEvent</strong></code> interface represents events despatched on new NFC readings obtained by {{DOMxRef("NDEFReader")}}.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("NDEFReadingEvent.NDEFReadingEvent", "NDEFReadingEvent.NDEFReadingEvent()")}}</dt>
 <dd>Creates an <code>NDEFReadingEvent</code> event with the given parameters.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Also inherits properties from its parent {{DOMxRef("Event")}}</em>.</p>

<dl>
 <dt>{{DOMxRef("NDEFReadingEvent.serialNumber")}} {{ReadOnlyInline}}</dt>
 <dd>Represents the serial number of the device used for anti-collision and identification, or empty string in case none is available.</dd>
 <dt>{{DOMxRef("NDEFReadingEvent.message")}} {{ReadOnlyInline}}</dt>
 <dd>Represents the received message as an {{DOMxRef("NDEFMessage")}} object.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its parent {{DOMxRef("Event")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefreadingevent">Web NFC, NDEFReadingEvent</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFReadingEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("NDEFReader")}}, interface that this event is fired on.</li>
</ul>
